The "List Shipping Carrier" API allows to retrieve a list of shipping carrier.

http
GET https://services.leadconnectorhq.com/store/shipping-carrier

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYes

Responses

200 - Successful response
  • status (boolean, required): Status of api action Example: True

  • message (string): Success message Example: Successfully created

  • data (object[], required): An array of items

    • altId (string, required): Account Id or Agency Id Example: 6578278e879ad2646715ba9c

    • altType (string, required): Possible values: 'account'

    • name (string, required): Name of the shipping carrier Example: FedEx

    • callbackUrl (string, required): The URL endpoint that GHL needs to retrieve shipping rates. This must be a public URL. Example: https://example.com/get-shipping-rates

    • services (object[]): An array of available shipping carrier services

      • name (string, required): Name of the shipping carrier service Example: Priority Mail Express International

      • value (string, required): Value of the shipping carrier service Example: PriorityMailExpressInternational

    • allowsMultipleServiceSelection (boolean): The seller can choose multiple services while creating shipping rates if this is true. Example: True

    • _id (string, required): The unique identifier for the product. Example: 655b33a82209e60b6adb87a5

    • marketplaceAppId (string, required): The unique identifier for the marketplace app. Example: 655b33a82209e60b6adb87a5

    • createdAt (string, required): created at Example: 2023-12-12T09:27:42.355Z

    • updatedAt (string, required): updated at Example: 2023-12-12T09:27:42.355Z

json
{
  "status": true,
  "message": "Successfully created",
  "data": [
    {
      "altId": "6578278e879ad2646715ba9c",
      "altType": "account",
      "name": "FedEx",
      "callbackUrl": "https://example.com/get-shipping-rates",
      "services": [
        {}
      ],
      "allowsMultipleServiceSelection": true,
      "_id": "655b33a82209e60b6adb87a5",
      "marketplaceAppId": "655b33a82209e60b6adb87a5",
      "createdAt": "2023-12-12T09:27:42.355Z",
      "updatedAt": "2023-12-12T09:27:42.355Z"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/store/shipping-carrier' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?